Package org.linphone.core

# Enum Class Alert.Type

java.lang.Object
java.lang.Enum<Alert.Type>
org.linphone.core.Alert.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Alert.Type>`, `Constable`

Enclosing interface:
  Alert

public static enum Alert.Type extends Enum<Alert.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`QoSBurstOccured`
Packet Burst phenomenon.
`QoSCameraLowFramerate`
Camera is capturing low framerate.
`QoSCameraMisfunction`
Camera is not working.
`QoSHighLossLateRate`
A received media stream suffers from high loss or late rate.
`QoSHighRemoteLossRate`
A report of high loss rate is received from remote party.
`QoSLostSignal`
The operating system reports a loss of radio signal (wifi or mobile).
`QoSLowDownloadBandwidthEstimation`
Low bandwidth detected.
`QoSLowQualityReceivedVideo`
Low quality (bitrate) video received.
`QoSLowQualitySentVideo`
Low quality video is being sent.
`QoSLowSignal`
The operating system reports a low radio signal (wifi or mobile)
note: Use the key "low_signal_interval" in the section "alerts::network" to set
or get the interval at which the problem is checked in a `Config`.
`QoSRetransmissionFailures`
Loss rate is significant but retransmissions fail to arrive on time.
`QoSVideoStalled`
Video decoding has stopped for a given period (10 s by default).

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static Alert.Type`
`fromInt(int value)`
`int`
`toInt()`
`static Alert.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Alert.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### QoSCameraMisfunction

public static final Alert.Type QoSCameraMisfunction
Camera is not working.
No other information note: Use the key "camera_misfunction_interval" in the
section "alerts::camera" to set the interval at which the problem is checked in
a `Config`.

### QoSCameraLowFramerate

public static final Alert.Type QoSCameraLowFramerate
Camera is capturing low framerate.
Information supplied : float framerate; note: Use the key
"low_framerate_interval" in the section "alerts::camera" to set or get the
interval at which the problem is checked in a `Config`.

### QoSVideoStalled

public static final Alert.Type QoSVideoStalled
Video decoding has stopped for a given period (10 s by default).
No other information. note: Use the key "video_stalled_interval" in the section
"alerts::camera" to set or get the interval at which the problem is checked in
a `Config`.

### QoSHighLossLateRate

public static final Alert.Type QoSHighLossLateRate
A received media stream suffers from high loss or late rate.
Information provided is:
-loss-rate (float)
-late-rate (float)
-media-type (string) with values {audio, video, text} note: Use the key
"loss_rate_interval" in the section "alerts::network" to set or get the
interval at which the problem is checked in a `Config`.

### QoSHighRemoteLossRate

public static final Alert.Type QoSHighRemoteLossRate
A report of high loss rate is received from remote party.
Information provided: loss-rate (float). note: Use the key
"remote_loss_rate_interval" in the section "alerts::network" to set or get the
interval at which the problem is checked in a `Config`.

### QoSBurstOccured

public static final Alert.Type QoSBurstOccured
Packet Burst phenomenon.
note: Use the key "burst_occured_interval" in the section "alerts::network" to
set or get the interval at which the problem is checked in a `Config`.

### QoSRetransmissionFailures

public static final Alert.Type QoSRetransmissionFailures
Loss rate is significant but retransmissions fail to arrive on time.
Information provided: nack-performance (float) the fraction of lost packets
recovered thanks to nack-triggered retransmissions. note: Use the key
"nack_check_interval" in the section "alerts::network" to set or get the
interval at which the problem is checked in a `Config`.

### QoSLowDownloadBandwidthEstimation

public static final Alert.Type QoSLowDownloadBandwidthEstimation
Low bandwidth detected.
Information provided: bandwidth (float) in kbit/s. note: Use the key
"download_bandwidth_interval" in the section "alerts::video" to set or get the
interval at which the problem is checked in a `Config`.

### QoSLowQualityReceivedVideo

public static final Alert.Type QoSLowQualityReceivedVideo
Low quality (bitrate) video received.
Information provided: bitrate (float) in kbit/s, width (integer), int height
(integer). note: Use the key "low_quality_received_interval" in the section
"alerts::video" to set or get the interval at which the problem is checked in a
`Config`.

### QoSLowQualitySentVideo

public static final Alert.Type QoSLowQualitySentVideo
Low quality video is being sent.
Information provided: bitrate (float)in kbit/s, width (integer), height
(integer). note: Use the key "quality_sent_interval" in the section
"alerts::camera" to set or get the interval at which the problem is checked in
a `Config`.

### QoSLowSignal

public static final Alert.Type QoSLowSignal
The operating system reports a low radio signal (wifi or mobile)
note: Use the key "low_signal_interval" in the section "alerts::network" to set
or get the interval at which the problem is checked in a `Config`.

### QoSLostSignal

public static final Alert.Type QoSLostSignal
The operating system reports a loss of radio signal (wifi or mobile).
Information provided: rssi-value (float), signal-type (string) with values
{"wifi", "mobile", "other"}. note: Use the key "lost_signal_interval" in the
section "alerts::network" to set or get the interval at which the problem is
checked in a `Config`.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static Alert.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Alert.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static Alert.Type fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()